#############################################################################
# Makefile for building: satGen
# Generated by qmake (1.07a) (Qt 3.3.3) on: Fri May 11 20:55:57 2007
# Project:  satGen.pro
# Template: app
# Command: $(QMAKE) -o Makefile satGen.pro
#############################################################################

!if !$d(BCB)
BCB = $(MAKEDIR)\..
!endif

####### Compiler, tools and options

CC	=	bcc32
CXX	=	bcc32
LEX     = flex
YACC    = byacc
CFLAGS	=	-tWR -w -w-hid -tWM -O2  -DUNICODE -DQT_EDU -DQT_DLL -DQT_THREAD_SUPPORT -DQT_ACCESSIBILITY_SUPPORT -DQT_NO_DEBUG
CXXFLAGS=	-tWR -w -w-hid -tWM -O2  -DUNICODE -DQT_EDU -DQT_DLL -DQT_THREAD_SUPPORT -DQT_ACCESSIBILITY_SUPPORT -DQT_NO_DEBUG
LEXFLAGS=
YACCFLAGS=-d
INCPATH	=	 -I"$(QTDIR)\include" -I"C:\Qt\3.3.3Educational\project\satGen" -I"tmp\moc\release_mt_shared" -I"C:\Qt\3.3.3Educational\mkspecs\win32-borland"
LINK	=	ilink32
LFLAGS	=	-L$(BCB)\lib;$(QTDIR)\lib -c -x -Gn /dopengl32.dll -aa -Tpe c0w32.obj
LIBS	=	import32.lib qtmtedu333.lib qtmain.lib cw32mti.lib
MOC	=	$(QTDIR)\bin\moc.exe
UIC	=	$(QTDIR)\bin\uic.exe
QMAKE =       qmake
IDC		=	$(QTDIR)\bin\idc.exe
IDL		=	midl
ZIP	=	zip -r -9
DEF_FILE =	
RES_FILE =	
COPY_FILE  =       copy
COPY_DIR  =       copy
DEL_FILE   =       del
DEL_DIR    =       rmdir
MOVE  =       move
CHK_DIR_EXISTS =	if not exist
MKDIR		=	mkdir
INSTALL_FILE= $(COPY_FILE)
INSTALL_DIR = $(COPY_DIR)

####### Files

HEADERS =	PaintPane.h \
		parser.h \
		CGeneration.h \
		CString.h
SOURCES =	main.cpp \
		CGeneration.cpp \
		CString.cpp \
		parser.cpp
OBJECTS =	tmp\obj\release_mt_shared\main.obj \
		tmp\obj\release_mt_shared\CGeneration.obj \
		tmp\obj\release_mt_shared\CString.obj \
		tmp\obj\release_mt_shared\parser.obj \
		tmp\obj\release_mt_shared\form1.obj
FORMS =	form1.ui
UICDECLS =	form1.h
UICIMPLS =	form1.cpp
SRCMOC	=	tmp\moc\release_mt_shared\moc_PaintPane.cpp \
		tmp\moc\release_mt_shared\moc_form1.cpp
OBJMOC	=	tmp\obj\release_mt_shared\moc_PaintPane.obj \
		tmp\obj\release_mt_shared\moc_form1.obj
DIST	=	
TARGET	=	satGen.exe

####### Implicit rules

.SUFFIXES: .c .cpp .cc .cxx .C

.cpp.obj:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o$@ $<

.cc.obj:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o$@ $<

.cxx.obj:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o$@ $<

.C.obj:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o$@ $<

.c.obj:
	$(CC) -c $(CFLAGS) $(INCPATH) -o$@ $<

####### Build rules

all: Makefile  $(TARGET)

$(TARGET):  $(UICDECLS) $(OBJECTS) $(OBJMOC) 
	$(LINK) @&&|
	$(LFLAGS) $(OBJECTS) $(OBJMOC),$(TARGET),,$(LIBS),$(DEF_FILE),$(RES_FILE)
|


mocables: $(SRCMOC)
uicables: $(UICIMPLS) $(UICDECLS)

Makefile: satGen.pro ..\..\.qmake.cache C:\Qt\3.3.3Educational\mkspecs\win32-borland\qmake.conf ..\..\lib\qtmain.prl
	$(QMAKE) -o Makefile satGen.pro
qmake: 
	@$(QMAKE) -o Makefile satGen.pro

dist:
	$(ZIP) satGen.zip $(SOURCES) $(HEADERS) $(DIST) $(FORMS) C:/Qt/3.3.3Educational/project/satGen/satGen.pro ..\..\lib\qtmain.prl form1.ui.h  

uiclean:
	-$(DEL_FILE) form1.h
	-$(DEL_FILE) form1.cpp
mocclean:
	-$(DEL_FILE) tmp\moc\release_mt_shared\moc_PaintPane.cpp
	-$(DEL_FILE) tmp\moc\release_mt_shared\moc_form1.cpp
	-$(DEL_FILE) tmp\obj\release_mt_shared\moc_PaintPane.obj
	-$(DEL_FILE) tmp\obj\release_mt_shared\moc_form1.obj
clean: uiclean mocclean
	-$(DEL_FILE) tmp\obj\release_mt_shared\main.obj
	-$(DEL_FILE) tmp\obj\release_mt_shared\CGeneration.obj
	-$(DEL_FILE) tmp\obj\release_mt_shared\CString.obj
	-$(DEL_FILE) tmp\obj\release_mt_shared\parser.obj
	-$(DEL_FILE) tmp\obj\release_mt_shared\form1.obj
	-$(DEL_FILE) satGen.tds



distclean: clean
	-$(DEL_FILE) $(TARGET)

####### Compile

tmp\obj\release_mt_shared\main.obj: main.cpp interface.h \
		form1.h \
		parser.h \
		CGeneration.h \
		CString.h \
		PaintPane.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -otmp\obj\release_mt_shared\main.obj main.cpp

tmp\obj\release_mt_shared\CGeneration.obj: CGeneration.cpp CGeneration.h \
		interface.h \
		CString.h \
		PaintPane.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -otmp\obj\release_mt_shared\CGeneration.obj CGeneration.cpp

tmp\obj\release_mt_shared\CString.obj: CString.cpp CString.h \
		interface.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -otmp\obj\release_mt_shared\CString.obj CString.cpp

tmp\obj\release_mt_shared\parser.obj: parser.cpp parser.h \
		interface.h \
		CString.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -otmp\obj\release_mt_shared\parser.obj parser.cpp

form1.h: form1.ui PaintPane.h \
		paintpane.h \
		interface.h
	$(UIC) form1.ui -o form1.h

form1.cpp: form1.h form1.ui PaintPane.h \
		paintpane.h \
		interface.h
	$(UIC) form1.ui -i form1.h -o form1.cpp

tmp\obj\release_mt_shared\form1.obj: form1.cpp form1.ui.h \
		form1.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -otmp\obj\release_mt_shared\form1.obj form1.cpp

tmp\obj\release_mt_shared\moc_PaintPane.obj: tmp\moc\release_mt_shared\moc_PaintPane.cpp  PaintPane.h interface.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -otmp\obj\release_mt_shared\moc_PaintPane.obj tmp\moc\release_mt_shared\moc_PaintPane.cpp

tmp\obj\release_mt_shared\moc_form1.obj: tmp\moc\release_mt_shared\moc_form1.cpp  form1.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -otmp\obj\release_mt_shared\moc_form1.obj tmp\moc\release_mt_shared\moc_form1.cpp

tmp\moc\release_mt_shared\moc_PaintPane.cpp: $(MOC) PaintPane.h
	$(MOC) PaintPane.h -o tmp\moc\release_mt_shared\moc_PaintPane.cpp

tmp\moc\release_mt_shared\moc_form1.cpp: $(MOC) form1.h
	$(MOC) form1.h -o tmp\moc\release_mt_shared\moc_form1.cpp

####### Install

install:  

uninstall:  

